id: wordpress-child-theme-configurator

info:
  name: Child Theme Configurator Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/child-theme-configurator/
  metadata:
    plugin_namespace: child-theme-configurator
    wpscan: https://wpscan.com/plugin/child-theme-configurator
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/child-theme-configurator/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/child-theme-configurator.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a004630440220023b1390df02660ed107049502aacdfe36b21756d1f46232bacbe2ebdd12197e022025039a5eaec9bb2a2e9f0b001e8cc758e6461fd0610b719d5f748c5f82b5776e:922c64590222798bb761d5b6d8e72950